ch.qos.logback.core.pattern.parser

## Class Node

- java.lang.Object
- - ch.qos.logback.core.pattern.parser.Node

Direct Known Subclasses:
  FormattingNode

    public class Node
    extends java.lang.Object

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`Node` `getNext()`
`int` `getType()`
`java.lang.Object` `getValue()`
`int` `hashCode()`
`void` `setNext(Node next)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getType

    public int getType()

Returns:
  Returns the type.

#### getValue

    public java.lang.Object getValue()

Returns:
  Returns the value.

#### getNext

    public Node getNext()

#### setNext

    public void setNext(Node next)

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`